GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
resolver.c File Reference
`#include "src/core/client_config/resolver.h"`

## Functions
void | grpc_resolver_init (grpc_resolver *resolver, const grpc_resolver_vtable *vtable)
void | grpc_resolver_ref (grpc_resolver *resolver)
void | grpc_resolver_unref (grpc_resolver *resolver)
void | grpc_resolver_shutdown (grpc_resolver *resolver)
void | grpc_resolver_channel_saw_error (grpc_resolver *resolver, struct sockaddr *failing_address, int failing_address_len)
| Notification that the channel has seen an error on some address. More...
void | grpc_resolver_next (grpc_resolver *resolver, grpc_client_config **target_config, grpc_iomgr_closure *on_complete)
| Get the next client config. More...

## Function Documentation

void grpc_resolver_channel_saw_error | ( | grpc_resolver * | resolver,
|  | struct sockaddr * | failing_address,
|  | int | failing_address_len
| ) |  |

Notification that the channel has seen an error on some address.

Can be used as a hint that re-resolution is desirable soon.

void grpc_resolver_init | ( | grpc_resolver * | resolver,
|  | const grpc_resolver_vtable * | vtable
| ) |  |

void grpc_resolver_next | ( | grpc_resolver * | resolver,
|  | grpc_client_config ** | target_config,
|  | grpc_iomgr_closure * | on_complete
| ) |  |

Get the next client config.

Called by the channel to fetch a new configuration. Expected to set *target_config with a new configuration, and then schedule on_complete for execution.

If resolution is fatally broken, set *target_config to NULL and schedule on_complete.

void grpc_resolver_ref | ( | grpc_resolver * | resolver | ) |

void grpc_resolver_shutdown | ( | grpc_resolver * | resolver | ) |

void grpc_resolver_unref | ( | grpc_resolver * | resolver | ) |